%define name scotty
%define version 2.1.11
%define release 3mdk

Summary:	A Tcl extension to build network management applications
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Freely redistributable and modifiable
Group:		Development/Other
Source:		%{name}-%{version}.tar.bz2
Patch:		scotty-2.1.9-linux.patch.bz2
BuildRoot:	%_tmppath/%{name}-buildroot
Url:		http://wwwhome.cs.utwente.nl/~schoenw/scotty/

%description
Scotty is a Tcl extension to build network management applications
using Tcl (and Tk). The scotty extension provides new Tcl commands to:

        - send and receive ICMP packets
        - query the Domain Name System (DNS)
        - access UDP sockets from Tcl
        - probe and use some selected SUN RPCs
        - retrieve and serve documents via HTTP
        - send and reveice SNMP messages (SNMPv1, SNMPv2USEC, SNMPv2C)
        - write special purpose SNMP agents in Tcl
        - parse and access SNMP MIB definitions
        - schedule jobs that are to be done regularly

%package	suid
Summary:	Two Scotty SUID root utilities (for pinging, and receiving SNMP traps)
Requires:	scotty = 2.1.11
Group:		Development/Other

%description	suid
These two small utilities are used by Scotty to send ICMP packets
(pings and such) and for receiving SNMP traps (which requires
listening to a priviledged port).  Since they are SUID root, they are
packaged separately from the main distribution so the user has the
option not to install them.

%package	tkined
Summary:	An interactive network editor for network management applications
Requires:	scotty = 2.1.11
Group:		Development/Other

%description tkined
Tkined is a network editor which allows to draw maps showing your
network configuration. The most important feature of Tkined is its
programming interface which allows network management applications to
extend the capabilities of Tkined. Most applications for Tkined are
written using scotty.

%prep

%setup -q
%patch -p1

%build
cd unix

%configure --disable-rpath

%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

cd unix

%makeinstall 

%makeinstall sinstall
cd ..

cp unix/README README.unix
cp tnm/changes tnm.changes
cp tkined/changes tkined.changes

rm -f %{buildroot}%{_bindir}/scotty %{buildroot}%{_bindir}/tkined
ln -s scotty%{version} %{buildroot}%{_bindir}/scotty
ln -s tkined1.4.11 %{buildroot}%{_bindir}/tkined
cp -pr %{buildroot}%{_libdir}/tnm%{version}/examples .
rm -r %{buildroot}%{_libdir}/tnm%{version}/examples

install -d %{buildroot}/%{_mandir}/man1
install -d %{buildroot}/%{_mandir}/man8
install -d %{buildroot}/%{_mandir}/mann

mv %{buildroot}/%{_prefix}/man/man1/* %{buildroot}/%{_mandir}/man1/
mv %{buildroot}/%{_prefix}/man/man8/* %{buildroot}/%{_mandir}/man8/
mv %{buildroot}/%{_prefix}/man/mann/* %{buildroot}/%{_mandir}/mann/

%post
echo "Precompiling MIBs..."
echo 'foreach f $tnm(mibs) {puts "Parsing $f"; mib load $f}; exit' | scotty

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc TODO README README.unix license.terms tnm.changes examples
%{_bindir}/scotty
%{_bindir}/scotty%{version}
%{_libdir}/tnm%{version}.so
%dir %{_libdir}/tnm%{version}
%{_libdir}/tnm%{version}/agents
%{_libdir}/tnm%{version}/library
%{_libdir}/tnm%{version}/mibs
%{_libdir}/tnm%{version}/pkgIndex.tcl
%{_mandir}/mann/*
%{_mandir}/man1/*

%files suid
%defattr (-,root,root)
%{_bindir}/straps
%{_bindir}/ntping
%{_mandir}/man8/*

%files tkined
%defattr (-,root,root)
%doc TODO README README.unix license.terms tkined.changes
%{_bindir}/tkined
%{_bindir}/tkined1.4.11
%{_libdir}/tkined1.4.11
%{_libdir}/tkined1.4.11.so

%changelog
* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1.11-3mdk
- build release
- misc spec file fixes

* Wed Aug 28 2002  Lenny Cartier <lenny@mandrakesoft.com> 2.1.11-2mdk
- rebuild

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.11-1mdk
- 2.1.11

* Mon Mar 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-3mdk
- rebuild

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-2mdk
- fix group
- bzip2 patch

* Tue Feb 29 2000 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm provided by Sandor Takacs <taki@cloud.matav.sulinet.hu>
- fixed the files section
- bzip2 archive
